#padre{
    background-color: bisque;
    display: grid;
    grid-template-rows: 100px 100px 200px 100px 100px 25px ;
    grid-template-columns: repeat(8,1fr);
    gap: 10px;
}
header, footer{
    background-color: lawngreen;
    border: 3px solid black;
    grid-column: 1/9;
}

.rojo{
    border: 3px solid black;
    background-color: red;
    grid-column: 1/3;
    grid-row: 2/6;
}
.rosa{
    border: 3px solid black;
    background-color: pink;
    grid-column: 3/9;
}
.naranja{
    border: 3px solid black;
    background-color: orange;
    grid-column: 3/6;
}
.naranja2{
    border: 3px solid black;
    background-color: orange;
    grid-column: 6/9;
}

#desgracia{
    grid-column: 3/9;
    display: grid;
    grid-template-rows: 100px 100px;
    grid-template-columns: repeat(5,2fr);
    gap: 10px;
}
.azul{
    background-color: blue;
    border: 3px solid black;
    color: white;
    font-weight: bold;
}

div{
    text-align: center;
}

@media all and (max-width:800px){
    #padre{
        grid-template-rows: repeat(8,1fr);
        grid-template-columns: repeat(4,1fr);
    }
    header{
        grid-column: 1/5;
        grid-row: 1/2;
    }
    footer{
        grid-column: 1/5;
        grid-row: 8/9;
    }
    .rojo{
        grid-column: 1/5;
        grid-row: 2/3;
    }
    .rosa{
        grid-column: 1/5;
        grid-row: 3/4;
    }
    .naranja{
        grid-column: 1/5;
        grid-row: 4/5;
    }
    .naranja2{
        grid-column: 1/5;
        grid-row: 5/6;
    }
    
    #desgracia{
        grid-column: 1/5;
        grid-row: 6/8
    }
}